#ifndef _PROFILEMASHS_H
#define _PROFILEMASHS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class ProfileMashs;
}

class ProfileMashs : public QDialog
{
    Q_OBJECT

public:
    explicit ProfileMashs(QWidget *parent = nullptr);
    ~ProfileMashs();

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableMashs;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
